Bug 1248314 - xorg/nouveau crashes when running wine's unit tests
xorg/nouveau crashes when running wine's unit tests
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 01:24 EDT by austinenglish
Modified: 2016-07-19 13:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:15:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log (2.80 MB, text/plain)
2015-07-30 01:24 EDT, austinenglish
no flags Details

  None (edit)
Description austinenglish 2015-07-30 01:24:12 EDT
Created attachment 1057518 [details]
xorg log

Description of problem:
Running wine's unit tests (wine version, wine-1.7.48-30-g5bd9d58)

Version-Release number of selected component (if applicable):
[austin@localhost wine-git]$ dnf list | grep nouveau 
xorg-x11-drv-nouveau.x86_64              1:1.0.11-2.fc22                 @System

How reproducible:
100% so far

Steps to Reproduce:
git clone git://source.winehq.org/git/wine.git
cd wine
./configure && make -j8 && ./wine winetest -c -t foo -m foo

(make -k test should also trigger it, but I didn't test that)

Actual results:
X crashes and restarts, before the tests complete

Expected results:
Tests run without crashing X

Additional info:
01:00.0 VGA compatible controller: NVIDIA Corporation GK104 [GeForce GTX 660 OEM] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: NVIDIA Corporation GK104 [GeForce GTX 760 OEM]

based on stdout from wine's tests, it's crashing during the user32 tests, which open/close lots of windows, may be related.
Comment 1 austinenglish 2015-07-30 01:25:26 EDT
From wine:
Running: user32:win (509 of 575)
XIO:  fatal IO error 104 (Connection reset by peer) on X server ":1.0"^M
      after 2841 requests (2821 known processed) with 0 events remaining.^M
err:ole:CoReleaseMarshalData IMarshal::ReleaseMarshalData failed with error 0x8001011d

Running: user32:win (509 of 575)
XIO:  fatal IO error 104 (Connection reset by peer) on X server ":1.0"^M
      after 2834 requests (2814 known processed) with 0 events remaining.^M
err:ole:CoReleaseMarshalData IMarshal::ReleaseMarshalData failed with error 0x8001011d
Comment 2 austinenglish 2015-07-31 01:36:27 EDT
In more testing, reproducibility is about 40%, haven't narrowed down anything that affects it. It always occurs in user32/win tests, though, and didn't seem to occur when running make -k test as opposed to using the winetest wrapper (which is just a different wrapper around the tests).
Comment 3 austinenglish 2015-09-11 02:02:27 EDT
Running the wine tests under valgrind with make test brings the reproducibility too 100% for me.
Comment 4 Fedora End Of Life 2016-07-19 13:15:50 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.